#
# spec file for package libnetfilter_log
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libnetfilter_log
%define lname	%{name}1
Version:        1.0.1
Release:        bp153.1.16
Summary:        Userspace library for accessing logged packets
License:        GPL-2.0
Group:          Productivity/Networking/Security
Url:            http://netfilter.org/projects/libnetfilter_log/

#Git-Clone:	git://git.netfilter.org/libnetfilter_log
Source:         ftp://ftp.netfilter.org/pub/libnetfilter_log/%name-%version.tar.bz2
Source2:        ftp://ftp.netfilter.org/pub/libnetfilter_log/%name-%version.tar.bz2.sig
Source3:        baselibs.conf
Source4:        %name.keyring
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#BuildRequires:  autoconf, automake >= 1.6, libtool
BuildRequires:  pkgconfig >= 0.21
BuildRequires:  pkgconfig(libnfnetlink) >= 0.0.41

%description
libnetfilter_log is a userspace library providing interface to
packets that have been logged by the kernel packet filter. It is is
part of a system that deprecates the old syslog/dmesg based packet
logging. This library has been previously known as libnfnetlink_log.

%package -n %lname
Summary:        Userspace library for accessing logged packets
Group:          System/Libraries

%description -n %lname
libnetfilter_log is a userspace library providing interface to
packets that have been logged by the kernel packet filter. It is is
part of a system that deprecates the old syslog/dmesg based packet
logging. This library has been previously known as libnfnetlink_log.

%package devel
Summary:        Userspace library for accessing logged packets
Group:          Development/Libraries/C and C++
Requires:       %lname = %version
Requires:       libnfnetlink-devel

%description devel
libnetfilter_log is a userspace library providing interface to
packets that have been logged by the kernel packet filter. It is is
part of a system that deprecates the old syslog/dmesg based packet
logging. This library has been previously known as libnfnetlink_log.

%prep
%setup -q

%build
%configure --disable-static --includedir="%_includedir/%name"
make %{?_smp_mflags}

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libnetfilter_log.so.1*
%_libdir/libnetfilter_log_libipulog.so.1*

%files devel
%defattr(-,root,root)
%_includedir/%name/
%_libdir/libnetfilter_log.so
%_libdir/libnetfilter_log_libipulog.so
%_libdir/pkgconfig/libnetfilter_log.pc

%changelog
* Mon Dec  8 2014 jengelh@inai.de
- Drop %%version from subincludedir, it tends to break recompiles of
  already-built trees on library updates.
* Tue Sep 23 2014 jengelh@inai.de
- Drop gpg-offline build-time requirement; this is now handled by
  the local source validator
* Wed Nov 28 2012 sbrabec@suse.cz
- Verify GPG signature
* Mon Jan  2 2012 jengelh@medozas.de
- update to new upstream release 1.0.1
  * build and compile fixes
* Thu Dec 29 2011 jengelh@medozas.de
- Use SPDX format for License: tag
- Use separate include directory to detect compile errors
* Fri Jul 16 2010 jengelh@medozas.de
- New upstream release 1.0.0
  * This releases contains a new function to print logs in XML
    format and the doxygen-based documentation.
* Tue Feb 23 2010 jengelh@medozas.de
- add baselibs.conf
- use %%_smp_mflags
- remove unnecessary PreReq: glibc
- secure the *.la delete call
- wrap description at col 70
- merge extra libnetfilter_log_libipulog package back into main
